package root_dir

import (
	"strings"
	"testing"

	"github.com/stretchr/testify/require"
)

func TestRootDir(t *testing.T) {
	projectDirName := "go-root-dir"
	dir := RootDir(projectDirName)
	require.NotEmpty(t, dir)
	require.Equal(t, strings.Split(dir, "/")[len(strings.Split(dir, "/"))-1], projectDirName)
}

func TestRootDirError(t *testing.T) {
	require.Empty(t, RootDir(""))
	require.Empty(t, RootDir("aaa"))
}
